在庫引当商品削除
DELETE
/products/{product_id}/inventory_reservations/{reservation_product_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/example/inventory_reservations/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/example/inventory_reservations/example \ --header 'Authorization: Bearer <token>'在庫引当商品を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_id
required
string
商品ID
※ ユーザーアクセストークンを利用する場合でも、ユーザーの所属する店舗で販売しているかに関わらず商品IDを指定できます。
reservation_product_id
required
string
在庫引当商品ID
Responses
Section titled “Responses”削除成功
- 指定された商品が存在しなかった場合
- 指定された在庫引当商品が存在しなかった場合
- URIで指定されたパラメータの組み合わせが存在しなかった場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "NotFound", "detail": "指定された商品IDのリソースが見つかりません", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された在庫引当商品IDのリソースが見つかりません", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された在庫引当のリソースが見つかりません", "status": 404}